{% extends 'base.html.twig' %}

{% set bodyClass = 'registry_request list' %}
{% set menuItem = 'registry_request' %}

{% block title %}{{ 'registry.request.title.list'|trans }} - {{ parent() }}{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/dataTables.bootstrap.min.css">
{% endblock %}

{% block body_head %}
    <h1>
        {{ 'registry.request.title.list'|trans }}
        <small>
            {% if app.request.query.get('archive') == 'true' %}
                {{ 'label.archived'|trans }}
            {% else %}
                {{ 'label.not_archived'|trans }}
            {% endif %}
        </small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'registry.request.title.list'|trans }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}
    <div class="row">
            <div class="col-xs-12">
                <div class="action-bar">
                    {% if is_granted('ROLE_USER') %}
                    <a href="{{ path('registry_request_create') }}" class="btn btn-default">
                        <i class="fa fa-plus"></i>
                        {{ 'registry.request.action.new'|trans }}
                    </a>
                    {% endif %}
                    <a href="{{ path('registry_request_report') }}" class="btn btn-default">
                        <i class="fa fa-clipboard-list"></i>
                        {{ 'registry.request.action.report'|trans }}
                    </a>
                    {% if app.request.query.get('archive') == 'true' %}
                        <a href="{{ path('registry_request_list', {'archive' : 'false'}) }}" class="btn btn-default">
                            <i class="fa fa-trash"></i>
                            {{ 'registry.request.action.not_archived'|trans }}
                        </a>
                    {% else %}
                        <a href="{{ path('registry_request_list', {'archive' : 'true'}) }}" class="btn btn-default">
                            <i class="fa fa-trash"></i>
                            {{ 'registry.request.action.archived'|trans }}
                        </a>
                    {% endif %}

                </div>
            </div>

    </div>

    <div class="row">
        <div class="col-xs-12">
            <div class="box box-solid">
                <div class="box-body">
                    <table id="table" class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            {% if is_granted('ROLE_ADMIN') %}
                                <th>{{ 'registry.request.list.collectivity'|trans }}</th>
                            {% endif %}
                            <th>{{ 'registry.request.list.concerned_people'|trans }}</th>
                            <th>{{ 'registry.request.list.date'|trans }}</th>
                            <th>{{ 'registry.request.list.object'|trans }}</th>
                            <th>{{ 'registry.request.list.complete'|trans }}</th>
                            <th>{{ 'registry.request.list.legitimate_applicant'|trans }}</th>
                            <th>{{ 'registry.request.list.legitimate_request'|trans }}</th>
                            <th>{{ 'registry.request.list.answer_date'|trans }}</th>
                            {% if is_granted('ROLE_USER') and 'true' != app.request.get('archive') %}
                                <th>{{ 'label.actions'|trans }}</th>
                            {% endif %}
                        </tr>
                        </thead>
                        <tbody>
                        {% for object in objects %}
                        <tr>
                            {% if is_granted('ROLE_ADMIN') %}
                                <td>{{ object.collectivity }}</td>
                            {% endif %}
                            <td>
                                <a href="{{ path('registry_request_show', {'id': object.id}) }}">
                                    {% if object.applicant.concernedPeople or ' ' == object.concernedPeople.fullName %}
                                        {{ object.applicant.fullName }}
                                    {% else %}
                                        {{ object.concernedPeople.fullName }}
                                    {% endif %}
                                </a>
                            </td>
                            <td>{{ object.date|date('d/m/Y') }}</td>
                            <td>{{ object.object|dictionary('registry_request_object') }}</td>
                            <td>
                                {% if object.complete %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                            <td>
                                {% if object.legitimateApplicant %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                            <td>
                                {% if object.legitimateRequest %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                            <td>{% if object.answer.date is not null %}{{ object.answer.date|date('d/m/Y') }}{% endif %}</td>
                            {% if is_granted('ROLE_USER') and object.deletedAt is null %}
                                <td>
                                    <a href="{{ path('registry_request_edit', { 'id': object.id }) }}">
                                        <i class="fa fa-pencil-alt"></i>
                                        {{ 'action.edit'|trans }}
                                    </a>
                                    <a href="{{ path('registry_request_delete', { 'id': object.id }) }}">
                                        <i class="fa fa-trash"></i>
                                        {{ 'action.archive'|trans }}
                                    </a>
                                </td>
                            {% endif %}
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ include('_Utils/_datatable.html.twig') }}
{% endblock %}
